import java.util.ArrayList;

class Player
{
	String name;
	int number;
	
	public Player(String name, int num){
		this.name = name;
		this.number = num;
	}
	
	public String toString(){
		return name+":"+number;
	}
}	

class Team
{
	private ArrayList<Player> teamMembers = new ArrayList<Player>();
	
	public void joinTeam(Player p){
		teamMembers.add(p);
	}
	
	public void leaveTeam(Player p){
		teamMembers.remove(p);
	}
	
	public void listMembers(){
		for (int i =0; i < teamMembers.size(); i ++){
			System.out.println(teamMembers.get(i));
		}
	}

	public static void main(String[] args){
		Team miami = new Team();
		Player bosh1 = new Player("Bosh",1);
		miami.joinTeam(bosh1);
		Player lebron = new Player("Lebron", 6);
		miami.joinTeam(lebron);
		Player bosh2 = new Player("Bosh",1);
		miami.joinTeam(bosh2);
		Player wade = new Player("Wade",3);
		miami.joinTeam(wade);
		miami.joinTeam(bosh2);
		miami.leaveTeam(bosh2);
		miami.listMembers();
	}
}